package com.kingdee.eas.custom.compensation;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.custom.compensation.app.*;
import com.kingdee.bos.Context;
import com.kingdee.eas.hr.base.HRBillBaseEntry;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.hr.base.IHRBillBaseEntry;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.framework.*;

public class HandMacDepositEntry extends HRBillBaseEntry implements IHandMacDepositEntry
{
    public HandMacDepositEntry()
    {
        super();
        registerInterface(IHandMacDepositEntry.class, this);
    }
    public HandMacDepositEntry(Context ctx)
    {
        super(ctx);
        registerInterface(IHandMacDepositEntry.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("B42995EB");
    }
    private HandMacDepositEntryController getController() throws BOSException
    {
        return (HandMacDepositEntryController)getBizController();
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public HandMacDepositEntryInfo getHandMacDepositEntryInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getHandMacDepositEntryInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public HandMacDepositEntryInfo getHandMacDepositEntryInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getHandMacDepositEntryInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public HandMacDepositEntryInfo getHandMacDepositEntryInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getHandMacDepositEntryInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@return
     */
    public HandMacDepositEntryCollection getHandMacDepositEntryCollection() throws BOSException
    {
        try {
            return getController().getHandMacDepositEntryCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public HandMacDepositEntryCollection getHandMacDepositEntryCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getHandMacDepositEntryCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public HandMacDepositEntryCollection getHandMacDepositEntryCollection(String oql) throws BOSException
    {
        try {
            return getController().getHandMacDepositEntryCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}